<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>gmc305.ac</path>

  <animation>
    <!-- Objets opaques -->
    <object-name>base</object-name>
    <object-name>HDG</object-name>
    <object-name>HDGbtn</object-name>
    <object-name>NAVbtn</object-name>
    <object-name>APRbtn</object-name>
    <object-name>APbtn</object-name>
    <object-name>FDbtn</object-name>
    <object-name>LVLbtn</object-name>
    <object-name>VScylinde</object-name>
    <object-name>IASbtn</object-name>
    <object-name>VSbtn</object-name>
    <object-name>ALTbtn</object-name>
    <object-name>VNSbtn</object-name>

    <!-- Objets transparents -->
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>base</object-name>
    <object-name>HDG</object-name>
    <object-name>HDGbtn</object-name>
    <object-name>NAVbtn</object-name>
    <object-name>APRbtn</object-name>
    <object-name>APbtn</object-name>
    <object-name>FDbtn</object-name>
    <object-name>LVLbtn</object-name>
    <object-name>VScylinde</object-name>
    <object-name>IASbtn</object-name>
    <object-name>VSbtn</object-name>
    <object-name>ALTbtn</object-name>
    <object-name>VNSbtn</object-name>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>APbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>AP</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L0</tooltip-id>
        <label>Toggle Autopilot</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>FDbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>FD</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L1</tooltip-id>
        <label>Toggle Flight Director</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>NAVbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>FD</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L2</tooltip-id>
        <label>Select AP NAV mode</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ALTbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>ALT</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L3</tooltip-id>
        <label>Select AP Altitude mode</label>
        <offset>1</offset>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>VSbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>VS</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L4</tooltip-id>
        <label>Select AP Vertical Speed mode</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>LVLbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>FLC</notification>
        <offset>1</offset>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.L5</tooltip-id>
        <label>Select AP Flight Level mode</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>YDbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>YD</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.R0</tooltip-id>
        <label>Select AP Yaw Damper</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>HDGbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>HDG</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.R1</tooltip-id>
        <label>Select AP Heading mode</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>APRbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>APR</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.R2</tooltip-id>
        <label>Select AP Approach mode</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>VNSbtn</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>VNV</notification>
        <offset>1</offset>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.R3</tooltip-id>
        <label>Select AP Vertical Navigation</label>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>knob</type>
    <object-name>VScylinde</object-name>
    <center>
      <x-m> -0.00033 </x-m>
      <y-m>  0.01968 </y-m>
      <z-m> -0.00527 </z-m>
    </center>
    <axis>
      <x> 0 </x>
      <y> 1 </y>
      <z> 0 </z>
    </axis>

    <action>
      <binding>
        <condition>
          <equals>
            <property>/autopilot/lateral-mode-button</property>
            <value>ALT</value>
          </equals>
        </condition>
        <command>FG1000HardKeyPushed</command>
        <device>1</device>
        <notification>ALT_INNER</notification>
        <offset>1</offset>
      </binding>
    </action>

    <shift-action>
      <binding>
        <condition>
          <equals>
            <property>/autopilot/lateral-mode-button</property>
            <value>ALT</value>
          </equals>
        </condition>
        <command>FG1000HardKeyPushed</command>
        <device>1</device>
        <notification>ALT_OUTER</notification>
        <offset>1</offset>
      </binding>
    </shift-action>

    <increase>
      <button>0</button>
      <binding>
        <condition>
          <not>
            <equals>
              <property>/autopilot/lateral-mode-button</property>
              <value>ALT</value>
            </equals>
          </not>
        </condition>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>NOSE_UP</notification>
        <offset>1</offset>
      </binding>
    </increase>

    <decrease>
      <button>0</button>
      <binding>
        <condition>
          <not>
            <equals>
              <property>/autopilot/lateral-mode-button</property>
              <value>ALT</value>
            </equals>
          </not>
        </condition>
        <command>FG1000HardKeyPushed</command>
        <device>2</device>
        <notification>NOSE_DOWN</notification>
        <offset>1</offset>
      </binding>
    </decrease>

    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>AP.R5</tooltip-id>
        <label>AP Nose Trim</label>
      </binding>
    </hovered>
  </animation>

</PropertyList>
